Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
boost::geometry::index::rstar< MaxElements, MinElements, ReinsertedElements, OverlapCostThreshold > Struct Template Reference

R*-tree creation algorithm parameters. More...

`#include <parameters.hpp>`

List of all members.

## Detailed Description

### template<size_t MaxElements, size_t MinElements = detail::default_min_elements_s<MaxElements>::value, size_t ReinsertedElements = detail::default_rstar_reinserted_elements_s<MaxElements>::value, size_t OverlapCostThreshold = 32>
struct boost::geometry::index::rstar< MaxElements, MinElements, ReinsertedElements, OverlapCostThreshold >

R*-tree creation algorithm parameters.

Template Parameters:

  MaxElements | Maximum number of elements in nodes.
  MinElements | Minimum number of elements in nodes. Default: 0.3*Max.
  ReinsertedElements | The number of elements reinserted by forced reinsertions algorithm. If 0 forced reinsertions are disabled. Maximum value is Max+1-Min. Greater values are truncated. Default: 0.3*Max.
  OverlapCostThreshold | The number of most suitable leafs taken into account while choosing the leaf node to which currently inserted value will be added. If value is in range (0, MaxElements) - the algorithm calculates nearly minimum overlap cost, otherwise all leafs are analyzed and true minimum overlap cost is calculated. Default: 32.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/parameters.hpp

All Classes Functions Typedefs